Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002668TestLinkReportspublic2009-06-25 21:482010-05-01 20:35
ReporterEloff 
Assigned ToEloff 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9 Beta 2 
Summary0002668: Upgrade of result matrix
DescriptionHere is an upgrade to the result matrix:

Via config.inc.php there is an option to add an extra column "Last". It shows the status of the last build with status != "Not Run". Good for summing up lots of builds where not all tests are executed.

It's also possible to reverse the order of the build columns, so that the most recent status comes first (to the left), and older ones move away to the right

Hope you like it...
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filespatch file icon 017_enable_summary_and_reversing_in_result_matrix.patch [^] (3,054 bytes) 2009-06-26 14:01 [Show Content]
? file icon resultsTC.php [^] (6,637 bytes) 2009-08-05 15:26

- Relationships

-  Notes
(0007352)
mhavlat (reporter)
2009-06-26 04:33

Both points sounds good for me. You can go ahead in the case that you plan to contribute.

Note: There is also related request that updated versions are not correctly reported in the report: 0002582
(0007354)
Eloff (reporter)
2009-06-26 14:02

oops, forgot to attach patch yesterday...
(0007729)
Eloff (reporter)
2009-08-05 15:21

> 1. localize ALWAYS strings, you have not done this on resultsTC.php
> => other dev must do this boring work
> Rule: each of us must do cool and boring work.
Sorry!

> 2. Regarding column Last build:
> a. last means build with max build id in set ?
it means last build that was executed. In other words $results->getMapOfLastResult()

> b. minor improvement if there is only one build this column
> has no sense to be displayed.
Correct, I'll fix it

> 3. config options renamed
Ok
(0007770)
Eloff (reporter)
2009-08-14 14:37

@fman: Is the solution good enough to close this ticket?
(0007827)
fman (administrator)
2009-08-25 23:19

@Eloff:
you can close it

- Issue History
Date Modified Username Field Change
2009-06-25 21:48 Eloff New Issue
2009-06-26 04:33 mhavlat Note Added: 0007352
2009-06-26 04:33 mhavlat Assigned To => Eloff
2009-06-26 04:33 mhavlat Status new => acknowledged
2009-06-26 14:02 Eloff File Added: 017_enable_summary_and_reversing_in_result_matrix.patch
2009-06-26 14:02 Eloff Note Added: 0007354
2009-07-09 19:00 Eloff Relationship added related to 0002601
2009-08-04 20:50 Eloff Status acknowledged => assigned
2009-08-04 20:50 Eloff Assigned To Eloff => fman
2009-08-05 14:47 fman Status assigned => work in progress
2009-08-05 15:21 Eloff Note Added: 0007729
2009-08-05 15:26 Eloff File Added: resultsTC.php
2009-08-14 14:37 Eloff Note Added: 0007770
2009-08-25 23:19 fman Note Added: 0007827
2009-08-26 04:30 Eloff Assigned To fman => Eloff
2009-08-26 04:30 Eloff Status work in progress => assigned
2009-08-26 04:30 Eloff Status assigned => resolved
2009-08-26 04:30 Eloff Fixed in Version => 1.9 (DEV)
2009-08-26 04:30 Eloff Resolution open => fixed
2010-05-01 20:35 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker